Subject: check 1695
From: "Patty and Mike Finan" <[email-masked]>
To: "Linda Wagner" <[email-masked]>, "Katy Parcells" <[email-masked]>
Date: Fri, 14 Apr 2006 09:08:07 -0400

Hi there,

I checked on my end and did not find anything that says we paid Hill Top Nursery already. So I wrote out check 1695 for $12.00 to them. It will come in the packet I'm mailing down today. Also, whenever you send something up, could you please include some checks? I'm down to about 4 and will probably be using more as the season picks up.

Thanks!
Patty Finan
Huron City Museums
7995 Pioneer Drive
Port Austin MI 48467
989 738-6007